## org.eclipse.datatools.sqltools.sqleditor.internal.editor
Class SQLMarkerLabelDecorator

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.internal.editor.SQLMarkerLabelDecorator

All Implemented Interfaces:
  org.eclipse.jface.viewers.IBaseLabelProvider, org.eclipse.jface.viewers.ILabelDecorator, org.eclipse.jface.viewers.ILightweightLabelDecorator

    public class SQLMarkerLabelDecorator

extends java.lang.Object
implements org.eclipse.jface.viewers.ILabelDecorator, org.eclipse.jface.viewers.ILightweightLabelDecorator

Author:
  Hui Cao

Constructor Summary
`SQLMarkerLabelDecorator(SQLEditor editor)`

Method Summary
`void` `addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`
`void` `decorate(java.lang.Object element, org.eclipse.jface.viewers.IDecoration decoration)`
`org.eclipse.swt.graphics.Image` `decorateImage(org.eclipse.swt.graphics.Image image, java.lang.Object element)`
`java.lang.String` `decorateText(java.lang.String text, java.lang.Object element)`
`void` `dispose()`
`boolean` `isLabelProperty(java.lang.Object element, java.lang.String property)`
`void` `removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLMarkerLabelDecorator

    public SQLMarkerLabelDecorator(SQLEditor editor)

Method Detail

### decorateImage

    public org.eclipse.swt.graphics.Image decorateImage(org.eclipse.swt.graphics.Image image,
                                                        java.lang.Object element)

  Specified by:
    `decorateImage` in interface `org.eclipse.jface.viewers.ILabelDecorator`

### decorateText

    public java.lang.String decorateText(java.lang.String text,
                                         java.lang.Object element)

  Specified by:
    `decorateText` in interface `org.eclipse.jface.viewers.ILabelDecorator`

### addListener

    public void addListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `addListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### isLabelProperty

    public boolean isLabelProperty(java.lang.Object element,
                                   java.lang.String property)

  Specified by:
    `isLabelProperty` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### removeListener

    public void removeListener(org.eclipse.jface.viewers.ILabelProviderListener listener)

  Specified by:
    `removeListener` in interface `org.eclipse.jface.viewers.IBaseLabelProvider`

### decorate

    public void decorate(java.lang.Object element,
                         org.eclipse.jface.viewers.IDecoration decoration)

  Specified by:
    `decorate` in interface `org.eclipse.jface.viewers.ILightweightLabelDecorator`